Bug 585180 - teTeX: dvihp script is missing required dvilj* binary
teTeX: dvihp script is missing required dvilj* binary
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tetex (Show other bugs)
4.9
All Linux
low Severity low
: rc
: ---
Assigned To: Jindrich Novy
BaseOS QE Security Team
http://www.ctan.org/tex-archive/dviwa...
:
Depends On: 585177
Blocks: 585183
  Show dependency treegraph
 
Reported: 2010-04-23 07:27 EDT by Jan Lieskovsky
Modified: 2013-07-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 585177
: 585183 (view as bug list)
Environment:
Last Closed: 2011-02-18 07:59:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-04-23 07:27:24 EDT
+++ This bug was initially created as a clone of Bug #585177 +++

Description of problem:
------------------------
The TeX's dviljk binary translates the given typesetter-independent .dvi (DeVice Independent) file -- DVIFILE to Hewlett-Packard Printer Command
Language (PCL) by calling dvicopy, and then dvilj* (dvilj4 by default).

But the required /usr/bin/dvilj4 binary is missing in tetex 
package, as shipped with Red Hat Enterprise Linux 4.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
tetex-2.0.2-22.0.1.EL4.10.*

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Try to translate some DVI file into Hewlett-Packard's PCL:
cp /usr/share/texmf/doc/amstex/amsguide.dvi /tmp
2. Run "dvihp" on it
  
Actual results:
---------------

dvihp -v -o amsguide.pcl amsguide.dvi 
Running dvicopy amsguide.dvi >/dvihp.l12007/dvi12006.vf
This is DVIcopy, Version 1.5 (Web2C 7.4.5)
Copyright (C) 1990,95 Peter Breitenlohner
Distributed under terms of GNU General Public License
DVI file: ' TeX output 2001.09.22:0947',
   num=25400000, den=473628672, mag=1000.
DVI: font 77 = cmcsc8.
..
DVI: processing page 28.
DVI: processing page 29.
DVI: processing page 30.
DVI: processing page 31.
DVI: processing page 32.
OUT file: 105036 bytes, 34 pages written.
(No errors were found.)
-rw-r--r--  1 root root 105036 Apr 23 07:24 /dvihp.l12007/dvi12006.vf
Running dvilj4  -v -eamsguide.pcl "/dvihp.l12007/dvi12006.vf" 
/usr/bin/dvihp: line 125: dvilj4: command not found
/usr/bin/dvihp: dvilj4 failed.


Expected results:
-----------------
File amsguide.pcl successfully generated.
Comment 1 Ondrej Vasik 2011-02-18 07:59:32 EST
Thanks for report, but we will not be able to address the issue in RHEL-4.
RHEL-4.9 was the last RHEL-4 regular update. As RHEL-4 now targets only
critical and security fixes, closing this bugzilla WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.